### Method

# Ggit Repository merge_trees

#### Declaration [src]

    GgitIndex*
    ggit_repository_merge_trees (
      GgitRepository* repository,
      GgitTree* ancestor_tree,
      GgitTree* our_tree,
      GgitTree* their_tree,
      GgitMergeOptions* merge_options,
      GError** error
    )

#### Description [src]

Merge two trees creating a `GgitIndex` reflecting the result of the merge.

#### Parameters

`ancestor_tree`

  Type: `GgitTree`

  The common ancestor between the trees, or `NULL`.

  The data is owned by the caller of the method.

`our_tree`

  Type: `GgitTree`

  The tree that reflects the destination tree.

  The data is owned by the caller of the method.

`their_tree`

  Type: `GgitTree`

  The tree that reflects the source tree.

  The data is owned by the caller of the method.

`merge_options`

  Type: `GgitMergeOptions`

  The merge options.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitIndex`

A new `GgitIndex` or `NULL` if an error occurred.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.